#
# spec file for package perl-bareword-filehandles
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-bareword-filehandles
Version:        0.007
Release:        1.24
%define cpan_name bareword-filehandles
Summary:        Disables bareword filehandles
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IL/ILMARI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(B::Hooks::OP::Check)
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(B::Hooks::OP::Check)
%{perl_requires}

%description
This module lexically disables the use of bareword filehandles with builtin
functions, except for the special builtin filehandles 'STDIN', 'STDOUT',
'STDERR', 'ARGV', 'ARGVOUT' and 'DATA'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Tue May 28 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.007
  see /usr/share/doc/packages/perl-bareword-filehandles/Changes
  0.007     2019-05-27 20:15:54+01:00 Europe/London
  - Disable checking filetest ops on perl < 5.31.1 (RT#127073)
* Fri Apr 27 2018 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-bareword-filehandles/Changes
  0.006     2018-04-26 22:36:49+01:00 Europe/London
  - Only use Lexical::SealRequireHints before perl 5.12
* Fri Apr 21 2017 coolo@suse.com
- updated to 0.005
  see /usr/share/doc/packages/perl-bareword-filehandles/Changes
  0.005     2017-04-20 16:27:24+01:00 Europe/London
  - Switch to Dist::Zilla::PluginBundle::Starter
    and ::Plugin::DymamicPrereqs
  - Use Devel::PPPort insted of hand-rolled compat macros
* Mon May 23 2016 coolo@suse.com
- updated to 0.004
  see /usr/share/doc/packages/perl-bareword-filehandles/Changes
  0.004     2016-05-16 19:18:36+01:00 Europe/London
  - fix POD typo (RT#76421)
  - Use "bareword::filehandles/disabled" as the hint hash key
  - Fix building on -DPERL_OP_PARENT perls (RT#114394)
* Mon Feb 24 2014 coolo@suse.com
- initial package 0.003
  * created by cpanspec 1.78.07
